#
# spec file for package python-pyvmomi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyvmomi
Version:        6.5
Release:        2.1
Summary:        VMware vSphere Python SDK
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/vmware/pyvmomi
Source:         https://pypi.io/packages/source/p/pyvmomi/pyvmomi-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 1.3.0
BuildRequires:  python-requests >= 2.3.0
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.7.3
BuildRequires:  python-testtools >= 0.9.34
BuildRequires:  python-vcrpy
Requires:       python-requests >= 2.3.0
Requires:       python-six >= 1.7.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
pyVmomi is the Python SDK for the VMware vSphere API that allows you to manage
ESX, ESXi, and vCenter.

%prep
%setup -q -n pyvmomi-%{version}
# we don't want to install any of these
sed -i '/   data_files/,+1d' setup.py
# fix line breaks in text files
sed -i 's/\r//' *.txt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
#export PYTHONPATH=%{buildroot}%{python_sitelib}
#cd %{buildroot}%{python_sitelib}
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt README.rst
%{python_sitelib}/pyVim
%{python_sitelib}/pyVmomi
%{python_sitelib}/pyvmomi-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Jan 15 2017 hpj@urpla.net
- fix build: add python-fixtures to build dependencies
* Thu Jan 12 2017 mardnh@gmx.de
- Update to version 6.5
  * Spec bump to support vSphere 6.5.
  * Include EAM bindings to support vSphere EAM service.
  * Fixed server thumbprint verification.
  * Fixed sslcontext creation in sample code.
* Sun Sep 18 2016 mardnh@gmx.de
- Update to version 6.0.0.2016.4
  * Python3 related bug fixes.
  * Include task.py utility class.
- Changes from version 6.0.0
  * Spec bump to support vSphere 6.0 server objects and types
    vSphere 6.0 U1 spec is used
  * New ssl context parameter in Connect.py and SoapAdapter.py to
    support passing various ssl options while connecting to vSphere.
  * Drop python 2.6 support.
  * Critical bug fixes.
- Remove patch: pyvmomi-git20141104-new.diff (fixed upstream)
- Fix Source-Url
* Wed May 13 2015 mc@suse.com
- add requires for python-six and python-requests
* Tue Nov  4 2014 hpj@urpla.net
- version 5.5.0.2014.1.1: initial build
- apply asorted fixes from todays git tree
